<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:scrollHorizontally="true"
                android:singleLine="true"
                android:text="Forgot mPin"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="@dimen/textSizeAverage"
                android:textStyle="bold" />

        </androidx.appcompat.widget.Toolbar>
    </com.google.android.material.appbar.AppBarLayout>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/textSize"
                android:layout_marginBottom="@dimen/textSize"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="@dimen/timerSize"
                    android:layout_height="@dimen/timerSize"
                    android:layout_marginTop="@dimen/textSizeToSmall"
                    android:src="@drawable/setpassword" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSize"
                    android:gravity="center"
                    android:text="OTP"
                    android:textColor="@color/option_text_pressed"
                    android:textSize="@dimen/textSize"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/textSize"
                    android:gravity="center"
                    android:text=""
                    android:textColor="@color/option_text_pressed"
                    android:textSize="@dimen/textSize" />

                <TextView
                    android:id="@+id/mobileNo"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/seekbarsize"
                    android:gravity="center"
                    android:paddingLeft="@dimen/seekbarsize"
                    android:paddingRight="@dimen/seekbarsize"
                    android:textColor="@color/option_text_pressed"
                    android:textSize="@dimen/textSizeNormal"
                    android:textStyle="bold" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.cygnusa.hyperm.pinview.PinView
                    android:id="@+id/pinView"
                    style="@style/PinWidget.PinView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:cursorVisible="true"
                    android:hint="Hint."
                    android:inputType="numberPassword"
                    android:padding="@dimen/seekbarsize"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="@dimen/textSizeAverage"
                    app:cursorColor="@color/btn_bg_color"
                    app:cursorWidth="2dp"
                    app:itemCount="4"
                    app:itemHeight="@dimen/buttonHeight"
                    app:itemRadius="1dp"
                    app:itemSpacing="0dp"
                    app:itemWidth="@dimen/buttonHeightLarge"
                    app:lineColor="@color/btn_bg_color"
                    app:lineWidth="2dp"
                    app:viewType="rectangle" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:layout_marginLeft="@dimen/textSizeSmall"
                    android:layout_marginRight="@dimen/textSizeSmall"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal">


                        <TextView
                            android:id="@+id/faq"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/buttonHeightSmall"
                            android:layout_gravity="left"
                            android:gravity="center|right"
                            android:text="@string/otp_txt"
                            android:textAppearance="@android:style/TextAppearance.DeviceDefault.Small"
                            android:textColor="@color/material_black"
                            android:textSize="@dimen/textSizeToSmall"
                            android:textStyle="italic|bold" />

                        <TextView
                            android:id="@+id/count_time"
                            android:layout_width="wrap_content"
                            android:layout_height="@dimen/buttonHeightSmall"
                            android:layout_gravity="left"
                            android:layout_marginLeft="@dimen/seekbarsize_small"
                            android:gravity="center|right"
                            android:text=""
                            android:textAppearance="@android:style/TextAppearance.DeviceDefault.Small"
                            android:textColor="@color/btn_bg_color"
                            android:textSize="@dimen/textSizeToSmall"
                            android:textStyle="bold" />
                    </LinearLayout>


                    <TextView
                        android:id="@+id/resentOtp"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/buttonHeightSmall"
                        android:layout_gravity="right"
                        android:layout_marginRight="@dimen/seekbarsize"
                        android:gravity="center|right"
                        android:text="Resend OTP"

                        android:textAppearance="@android:style/TextAppearance.DeviceDefault.Small"
                        android:textColor="@color/btn_bg_color"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="bold" />

                </FrameLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:layout_marginTop="@dimen/buttonHeightSmall"
                android:layout_marginBottom="@dimen/textSize"
                android:gravity="center_horizontal"
                android:orientation="horizontal"
                android:padding="@dimen/seekbarsize_small">

                <Button
                    android:id="@+id/btn_cancel"
                    android:layout_width="@dimen/timerSize"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:background="@drawable/border_login_button"
                    android:text="@string/cancel"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="@dimen/textSizeSmall"
                    android:textStyle="bold" />

                <Button
                    android:id="@+id/btn_submit"
                    android:layout_width="@dimen/timerSize"
                    android:layout_height="@dimen/buttonHeightNormal"
                    android:layout_marginLeft="@dimen/textSize"
                    android:background="@drawable/border_login_button"
                    android:text="@string/action_submit"
                    android:textColor="@color/btn_bg_color"
                    android:textSize="@dimen/textSizeSmall"
                    android:textStyle="bold" />

            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>

</LinearLayout>